package com.sw.mes.itemclean.clean.service;

import com.sw.mes.itemclean.clean.dto.auto.*;


public interface MaterialCleanToAutoService {

    IOTResponseUnpackingDto getUnpackingInfoByProductBatchNo(IOTRequestUnpackingDto iotRequestUnpackingDto);

    void materialCleaningUp(IOTRequestMaterialCleaningUpDto iotRequestMaterialCleaningUpDto);

    void materialCleaningErrorDown(IOTRequestMaterialCleaningErrorDownDto iotRequestMaterialCleaningErrorDownDto);

    IOTResponseBrokenUpDto materialCleaningDownAndBrokenUp(IOTRequestMaterialBrokenUpDto iotRequestMaterialBrokenUpDto);

    void materialBrokenDownToPackaging(IOTRequestMaterialBrokenDownDto iotRequestMaterialBrokenDownDto);

    void autoGroupStore(IOTRequestMaterialGroupStoreDto iotRequestMaterialGroupStoreDto);

    void groupCallAgvById(Integer id);

    IOTResponseBrokenUpDto getBrokenUpByProductBatchNo(IOTRequestUnpackingToBreakDto iotRequestUnpackingToBreakDto);

}
